Sponsored Content
Top Forums Shell Programming and Scripting Script to FTP a modified file Post 302591671 by PyroPlasm on Friday 20th of January 2012 10:02:56 AM
Old 01-20-2012
Script to FTP a modified file

Hello,

I am fairly new to shell scripting. I see a lot of examples out there of how to find if a file has been modified within a certain period of time. What I'm looking for help with is a script that will run and I'm thinking check for the last 24 hours but if not just check at runtime to see if an HTML file has been modified.

Then once it determines if the file has changed (I've read this can be done with either checksum or the md5 or md5sum commands) then it will FTP the file. I already have an example of how to connect to an FTP and transfer a file but again since I'm new to shell scripting I'd like some help with this.

On another forum I found an example of checking for if a file has been modified and printing things out. Since this will run in the background of a website I don't need it to print but I'm going to post the code here:
Code:
#!/bin/sh 
# 
# 
# MD5FILE-parameter specifies where we want to save our md5print for 
# later use. 
MD5FILE=/tmp/.md5savefile 

# The FILE_TO_CHECK-parameter specifies the file we want to monitor 
# changes 
FILE_TO_CHECK=/tmp/filetocheck 

if [ ! -f $FILE_TO_CHECK ] 
then 
echo "ERROR Couldnt locate file to check:$FILE_TO_CHECK" 
exit 1 
fi 

echo "Taking a print on $FILE_TO_CHECK with md5sum" 
MD5PRINT=`md5sum $FILE_TO_CHECK | cut -d " " -f2` 

if [ -z $MD5PRINT ] 
then 
echo "ERROR Recived an empty MD5PRINT thats not valid, aborting" 
exit 1 
else 
echo "MD5PRINT we got was:$MD5PRINT" 
fi 

if [ -f $MD5FILE ] 
then 
echo "Found an old savefile:$MD5FILE we trying to match prints" 
OLDMD5PRINT=`cat $MD5FILE` 

if [ -z $OLDMD5PRINT ] 
then 
echo "Got an empty string from the oldfile, aborting" 
exit 1 
fi

if [ "$OLDMD5PRINT" = "$MD5PRINT" ] 
then 
echo "New and old md5print are identical, the file hasnt been changed" 
else 
echo "WARNING the old and new md5print doesnt match, the file has been changed" 
fi 

fi 

echo "Saving to new md5print in logfile:$MD5FILE for later checks" 
echo $MD5PRINT > $MD5FILE 

if [ $? = 0 ] 
then 
echo "Wrote to file OK" 
else 
echo "Writing to file failed...why??" 
exit 1 
fi

I'm looking to modify this code to fit my needs. Any help would be greatly appreciated.

Thanks


Moderator's Comments:
Mod Comment How to use code tags

Last edited by Franklin52; 01-20-2012 at 11:13 AM.. Reason: Please use code tags for code and data samples, thank you
 

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

ftp most recently modified file

Hi what is the most optimum way to ftp the most recently modified file starting with a particular string. i tried this ftp -n 2>logfile 1>&2 <<EOF open xxxxxx user xxxx xxxx prompt ls -ltr f* res !var=`tail -1 |awk { print $9 }'` bye EOF that gives... (6 Replies)
Discussion started by: ahmedwaseem2000
6 Replies

2. UNIX for Dummies Questions & Answers

how to retrieve original contents of a modified file (modified using vi)

Made changes to a file using vi editor and saved those changes now realised that the changes are not required How can I get the previous version of the file.i.e the one which was there on which I had made changes (3 Replies)
Discussion started by: novice100
3 Replies

3. Shell Programming and Scripting

FTP script to FTP file to UNIX - Solaris

Hello, A couple of times per week, i receive emails notifications when files are available for processing. Currently i read these eamails with a java program and store the attachement on my C: drive and would now like to generate a PC script to send this file name up to UNIX-Solaris and... (3 Replies)
Discussion started by: bobk544
3 Replies

4. Shell Programming and Scripting

how to write a shell script that print the last modified file ?

Hi guys, -could any one help me with this (I'm new to UNIX) how to write a shell script that tell me the last modified file in the current directory? so if I run the script in a diferent directory,will work. and can I write the script by C++ language and run it in the shell ? I tried... (5 Replies)
Discussion started by: FunnyWolF
5 Replies

5. Shell Programming and Scripting

How to get a filename modified by attaching modified timestamp

Hi, I want to modify a filename in AIX by attaching the last modified timestamp. I want the timestamp completely in numerical format (eg:200905081210. yr-2009, mnth - 05, date -08, hr - 12, mins - 10). For example if the filename is a.log and it was modified on April 6th 2008 at 21.00. I... (16 Replies)
Discussion started by: Ruks
16 Replies

6. UNIX for Dummies Questions & Answers

Run a script if file modified in last 10 min

Hi, I want to check if a file is modified or not in the last 10 mins and run a script if so. Thanks (8 Replies)
Discussion started by: krabu
8 Replies

7. Shell Programming and Scripting

FTP files modified after a particular date between servers

Hi all, i need to write a shell script to transfer a file modified after a particular date from one server to another. I searched for the related posts in this forum and got hints and snippets for it. i tried the below code ftp serverA user uname pwd lcd to_dir cd from_dir files=$(find... (7 Replies)
Discussion started by: mick_000
7 Replies

8. Shell Programming and Scripting

Run a script when a file is modified/time stamp changed

Hi, I need to run a script file which uses a file and that file is modified as and when some alarms generated, it is not based on any fixed time period.. it may be modified even once in a minute for some time and once in 30 min or once in 20 min. Hence i need to watch for the timestamp change of... (3 Replies)
Discussion started by: aemunathan
3 Replies

9. Shell Programming and Scripting

Script to check for the file existence, if file exists it should echo the no of modified days

Hi, I am looking for a shell script with the following. 1. It should check whether a particular file exists in a location #!/bin/sh if ; then echo "xxx.txt File Exists" else echo "File Not Found" fi 2. If file exists, it should check for the modified date and run a command... (2 Replies)
Discussion started by: karthikeyan_mac
2 Replies

10. Shell Programming and Scripting

shell script to alert if a file has been modified

Hi , I want a script who will send alert the moment someone edit any file in a directory in LINUX. Can some one throw some light on this please.!! (4 Replies)
Discussion started by: d8011
4 Replies
All times are GMT -4. The time now is 12:04 AM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy